import axios from '@/libs/axios.js';

// 根据电子秤设备查找网点及兑换规则信息
export const findBySrcDeviceNo = params => {
  return axios.request({
    url: `steelyard/findBySrcDeviceNo/${params.srcDeviceCode}`,
    method: 'get'
  })
};

// 投放记录列表查询
export const getDeliveryLog = params => {
	let url = `deliveryLog/query/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
};

// 保存投放称重结果
export const saveDelivery = params => {
	return axios.request({
	  url: `deliveryLog/delivery`,
	  method: 'post',
	  data: params
	})
}